----------------------------------------------------------------
- PL/SQL: SQL script to create tables for Triggers             -
-         Section 4.5                                          -
- Chapter 4; Oracle Programming -- A Primer                    -
-            by R. Sunderraman                                 -
----------------------------------------------------------------

drop table restock;
create table restock (
  tdate date,
  pno   number(5));
drop table orders_errors;
create table orders_errors (
  tdate date,
  ono   number(5),
  message varchar2(50));
drop table odetails_errors;
create table odetails_errors (
  tdate date,
  ono   number(5),
  pno   number(5),
  message varchar2(50));
drop table parts_log;
create table parts_log (
  pno           number(5),
  username      char(8),
  update_date   date,
  old_price     number(6,2),
  new_price     number(6,2));
